[La nota del día] Debian APT: Utilizando repositorios vencidos

Uno de los problemas de contar con una conexión muy lenta es la imposibilidad de actualizar tus repositorios de paquetes Debian de manera constante; a partir de Debian Squeeze, se incorporó el chequeo obligatorio del vencimiento de un repositorio.

Encontrarán en el archivo Release (..dists/[squeeze|wheezy]/Release) una opción, conocida como “Valid-Until”, indicando la fecha de vencimiento del repositorio Debian/Ubuntu/Mint.

No podrás cambiar dicho valor a otra fecha si tu repositorio es apt-secure, ya que la integridad del archivo Release es chequeada gracias al checksum del mismo (si cambian el archivo, cambia su checksum), entonces, ¿cómo utilizar un repositorio confiable, pero que está vencido?, para utilizarlo una sola vez se ejecuta:

aptitude -o 'Acquire::Check-Valid-Until=false' update

Lo que permite actualizar el repositorio.

Si lo que se desea es evitar ese chequeo de manera permanente, entonces se ejecuta:

echo 'Acquire::Check-Valid-Until "false";' > /etc/apt/apt.conf.d/80mintupdate-debian

Y con esto, ya podrán utilizar un repositorio, aunque esté vencido …

Acerca de phenobarbital

http://about.me/phenobarbital

Publicado el 6 mayo 2012 en Blogeando!, Cultura Libre, La nota del día, Linux, PlanetaLinux, Software Libre. Añade a favoritos el enlace permanente. 2 comentarios.

  1. gracias me salvaste la vida o el sueño jajajja

  2. buen aporte!
    Ya hace unos dias que tenía este problema, gracias!

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: